Bug 136178 - yum update crashes
yum update crashes
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: 136186 (view as bug list)
Depends On:
Blocks: FC3Blocker
  Show dependency treegraph
Reported: 2004-10-18 11:35 EDT by David Torres
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-28 17:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Torres 2004-10-18 11:35:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002

Description of problem:
yum will not update.  It check the repositories and then dumps a
traceback message

Version-Release number of selected component (if applicable):
yum 2.1.9

How reproducible:

Steps to Reproduce:
1.type in yum check-update
2.yum update

Actual Results:  yum crashes

Expected Results:  I expect the repositories to be check and any
updates to be either listed or installed

Additional info:

10:25:20 root@/home/verbena $ yum check-update
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  jpackage15-generic
repomd.xml                100% |=========================|  903 B    00:00
Setting up Repo:  livna-stable
repomd.xml                100% |=========================|  951 B    00:00
Setting up Repo:  fedora-unstable
repomd.xml                100% |=========================|  903 B    00:00
Setting up Repo:  fedora-stable
repodata/repomd.xml: <urlgrabber.grabber.CallbackObject instance at
Traceback (most recent call last):
  File "/usr/bin/yum", line 8, in ?
  File "/usr/share/yum-cli/yummain.py", line 60, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 427, in doCommands
    ypl = self.returnPkgLists()
  File "/usr/share/yum-cli/cli.py", line 953, in returnPkgLists
    ypl = self.doPackageLists(pkgnarrow=pkgnarrow)
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 604,
in doPackageLists
  File "/usr/share/yum-cli/cli.py", line 69, in doRepoSetup
  File "/usr/lib/python2.3/site-packages/yum/repos.py", line 459, in
    result = self.get(relative=remote, local=local, copy_local=1)
  File "/usr/lib/python2.3/site-packages/yum/repos.py", line 437, in get
  File "/usr/lib/python2.3/site-packages/urlgrabber/mirror.py", line
414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.3/site-packages/urlgrabber/mirror.py", line
400, in _mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/python2.3/site-packages/urlgrabber/grabber.py", line
595, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.3/site-packages/urlgrabber/grabber.py", line
542, in _retry
    cb_func(obj, *cb_args, **cb_kwargs)
  File "/usr/share/yum-cli/output.py", line 41, in failureReport
    raise msg
urlgrabber.grabber.CallbackObject: <urlgrabber.grabber.CallbackObject
instance at 0xf6a166cc>
10:29:21 root@/home/verbena $
Comment 1 Bill Nottingham 2004-10-18 12:58:55 EDT
*** Bug 136186 has been marked as a duplicate of this bug. ***
Comment 2 Seth Vidal 2004-10-18 13:32:09 EDT
If you try it again using different mirrors I think you'll find it works.

However, it shouldn't traceback like that when it does failt.

It should fail more gracefully.

Comment 3 Jeremy Katz 2004-10-19 12:51:57 EDT
This should be fixed in 2.1.10 --
Comment 4 Bill Nottingham 2004-10-28 17:24:08 EDT
Please reopen if this persists.

Note You need to log in before you can comment on or make changes to this bug.